spring:
  lifecycle.timeout-per-shutdown-phase: 40s
  jackson:
    default-property-inclusion: non_null
  boot:
    admin:
      client:
        instance:
          service-base-url: ${pcp.services.mission}
          service-path: /swagger/ui
          management-base-url: ${pcp.services.mission}
          health-url: ${pcp.services.mission}/actuator/health

springdoc:
  swagger-ui:
    enabled: true
    layout: BaseLayout
    path: /swagger/ui
  api-docs:
    enabled: true
    path: /api-docs

logging:
  level:
    root: INFO

management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: always
    info:
      enabled: true

---
spring:
  config:
    activate:
      on-profile: local
  kafka:
    bootstrap-servers: ${pcp.infra.kafka.host}:${pcp.infra.kafka.port}
    template:
      default-topic: pcp.tle
    consumer:
      group-id: pcp-mission-planing-service
      auto-offset-reset: earliest
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      enable-auto-commit: false
    listener:
      missing-topics-fatal: false
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://${pcp.infra.postgres.host}:${pcp.infra.postgres.port}/pcp_missions
    username: postgres
    password: password
  jpa:
    hibernate:
      ddl-auto: validate
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        jdbc:
          lob:
            non_contextual_creation: true
  flyway:
    enabled: true
    baseline-on-migrate: true
    locations: classpath:db/migration
  codec:
    max-in-memory-size: 20MB
camunda:
  client:
    mode: self-managed
    grpc-address: ${CAMUNDA_GRPC_ADDRESS:http://localhost:26500}
    auth:
      method: none
    prefer-rest-over-grpc: false
server:
  port: ${pcp.ports.mission:7010}

settings:
  ballistics-service: ${pcp.services.ballistics}
  complex-mission-service: ${pcp.services.complex-mission-service}
  satellite-catalog-service: ${pcp.services.satellite-catalog}
  stations-service: ${pcp.services.stations}

app:
  kafka:
    topics:
      booked-slots: pcp.slots.status.v1
      mode-status-changed: pcp.route.in.v1
      satellites: pcp.satellites


---
spring:
  config:
    activate:
      on-profile: dev
  kafka:
    bootstrap-servers: ${pcp.infra.kafka.host}:${pcp.infra.kafka.port}
    template:
      default-topic: pcp.tle
    consumer:
      group-id: pcp-mission-planing-service
      auto-offset-reset: earliest
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      enable-auto-commit: false
    listener:
      missing-topics-fatal: false
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://${pcp.infra.postgres.host}:${pcp.infra.postgres.port}/pcp_missions
    username: postgres
    password: password
  jpa:
    hibernate:
      ddl-auto: validate
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        jdbc:
          lob:
            non_contextual_creation: true
  flyway:
    enabled: true
    baseline-on-migrate: true
    locations: classpath:db/migration
  codec:
    max-in-memory-size: 20MB
camunda:
  client:
    mode: self-managed
    grpc-address: http://camunda.k8s.265.nstart.cloud:30901
    auth:
      method: none
    prefer-rest-over-grpc: false
server:
  port: ${pcp.ports.mission:8080}

settings:
  ballistics-service: ${pcp.services.ballistics}
  complex-mission-service: ${pcp.services.complex-mission-service}
  satellite-catalog-service: ${pcp.services.satellite-catalog}
  stations-service: ${pcp.services.stations}

app:
  kafka:
    topics:
      booked-slots: pcp.slots.status.v1
      mode-status-changed: pcp.route.in.v1
      satellites: pcp.satellites
